<persistence xmlns="http://java.sun.com/xml/ns/persistence"
	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xsi:schemaLocation="http://java.sun.com/xml/ns/persistence http://java.sun.com/xml/ns/persistence/persistence_2_0.xsd"
	version="2.0">
	<persistence-unit name="CDAGenerator-PersistenceUnit">
		<provider>org.hibernate.ejb.HibernatePersistence</provider>
		<jta-data-source>java:jboss/env/datasources/CDAGeneratorDS</jta-data-source>
		<jar-file>gazelle-model-common.jar</jar-file>
		<jar-file>gazelle-model-tf.jar</jar-file>
		<jar-file>mbval-documentation-ejb.jar</jar-file>
		<jar-file>PatientGeneration-model.jar</jar-file>
		<!-- <properties> -->
		<!-- <property name="hibernate.dialect" value="${hibernate.dialect}"/> -->
		<!-- <property name="hibernate.hbm2ddl.auto" value="${hibernate.hbm2ddl.auto}"/> -->
		<!-- <property name="hibernate.hbm2ddl.auto" value="update" /> -->
		<!-- <property name="hibernate.show_sql" value="${hibernate.show_sql}"/> -->
		<!-- <property name="hibernate.format_sql" value="true"/> -->
		<!-- <property name="jboss.entity.manager.factory.jndi.name" value="java:jboss/root/CDAGenerator-EntityManagerFactory"/> -->
		<!-- CAUTION: must be set to a number greater than 0 in production environment. -->
		<!-- For development batching is turned off. -->
		<!-- <property name="hibernate.jdbc.batch_size" value="20"/> -->
		<!-- <property name="hibernate.cache.use_query_cache" value="false"/> -->
		<!-- <property name="hibernate.cache.use_second_level_cache" value="true"/> -->
		<!-- <property name="hibernate.id.new_generator_mappings" value="false"/> -->
		<!-- <property name="hibernate.cache.region.factory_class" value="org.hibernate.cache.ehcache.EhCacheRegionFactory"/> -->
		<!-- <property name="hibernate.transaction.manager_lookup_class" value="org.hibernate.transaction.JBossTransactionManagerLookup"/> -->

		<!-- </properties> -->

		<properties>
			<property name="hibernate.dialect" value="${hibernate.dialect}" />
			<property name="hibernate.hbm2ddl.auto" value="${hibernate.hbm2ddl.auto}" />
			<property name="hibernate.show_sql" value="${hibernate.show_sql}" />
			<property name="hibernate.format_sql" value="true" />
			<property name="jboss.entity.manager.factory.jndi.name" value="java:jboss/root/CDAGenerator-EntityManagerFactory"/>
			<!-- CAUTION: must be set to a number greater than 0 in production environment. 
				For development batching is turned off. -->
			<!-- <property name="hibernate.cache.region.factory_class" value="org.hibernate.cache.infinispan.JndiInfinispanRegionFactory"/> -->

			<!-- <property name="hibernate.cache.infinispan.cachemanager" value="java:jboss/infinispan/hibernate" 
				/> <property name="hibernate.transaction.manager_lookup_class" value="org.hibernate.transaction.JBossTransactionManagerLookup" 
				/> -->
			<!-- <property name="hibernate.cache.use_minimal_puts" value="true" /> -->

		      <property name="hibernate.jdbc.batch_size" value="20"/>
		      <property name="hibernate.cache.use_query_cache" value="false"/>
		      <property name="hibernate.cache.use_second_level_cache" value="true"/>
		      <property name="hibernate.connection.url" value="${jdbc.connection.url}"/>
		      <property name="hibernate.connection.driver_class" value="${jdbc.driver.class}"/>
		      <property name="hibernate.connection.username" value="${jdbc.user}"/>
		      <property name="hibernate.connection.password" value="${jdbc.password}"/>
		      <property name="hibernate.connection.provider_class" value="org.hibernate.service.jdbc.connections.internal.C3P0ConnectionProvider"/>
		      <property name="hibernate.c3p0.min_size" value="${min.pool.size}"/>
		      <property name="hibernate.c3p0.max_size" value="${max.pool.size}"/>
		      <property name="hibernate.c3p0.acquire_increment" value="1"/>
		      <property name="hibernate.c3p0.idle_test_period" value="3000"/>
		      <property name="hibernate.c3p0.max_statements" value="50"/>
		      <property name="hibernate.c3p0.timeout" value="1800"/>
		      <property name="hibernate.id.new_generator_mappings" value="false"/>
		</properties>
	</persistence-unit>
</persistence>
